///@desc Setup

minVal = 0;
maxVal = 100;
currVal = 0;
barColour = c_red;
barSprite = sUIBar;
maxXScale = image_xscale;
currXScale = maxXScale * (currVal/maxVal); //scale value to image scale
controlType =-1;

function changeValue(delta)
{
	if (((currVal + delta) <= maxVal) && ((currVal + delta) >= minVal)) { currVal += delta; }
	
	doAction();
}
		
function doAction()
{	
	switch(controlType)
	{
		case ControlVars.cv_gamevolume: {
			global.GameVolume = currVal;
			audio_emitter_gain(oGame.gameSoundEmitter, currVal/maxVal);			
			audio_play_sound_on(oGame.gameSoundEmitter, sndWoosh, false, 1);
			break;
		}
		
		default: { show_debug_message("No valid action"); }
		
	}
} // End of DoAction()
