///@desc Should we draw anything?

if (nsData.enabled)
{
	draw_self();

	if (mouseOver)
	{
		switch (slice)
		{
			case nineslice_top: {
				_tilemode = tilemode_string(nsData.tilemode[nineslice_top]);
				helperText = "Top: " + string(_tilemode);
				break;
			}
			
			case nineslice_left: {
				_tilemode = tilemode_string(nsData.tilemode[nineslice_left]);
				helperText = "Left: " + string(_tilemode);
				break;
			}
			
			case nineslice_center: {
				_tilemode = tilemode_string(nsData.tilemode[nineslice_center]);
				helperText = "Center: " + string(_tilemode);
				break;
			}
			
			case nineslice_right: {
				_tilemode = tilemode_string(nsData.tilemode[nineslice_right]);
				helperText = "Right: " + string(_tilemode);
				break;
			}
			
			case nineslice_bottom: {
				
				_tilemode = tilemode_string(nsData.tilemode[nineslice_bottom]);
				helperText = "Bottom: " + string(_tilemode);
				break;
			}
			
			default: { show_error("Not a part of nineslice", true);	}
			
		} // End of switch()
	} // End of if (mouseOver)
	else { helperText = ""; }
}

draw_text(1000, 300, helperText);